import java.awt.*;
import java.awt.event.MouseEvent;

import javax.swing.ImageIcon;

public class AutoPanel extends Panel {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4075474264679770566L;
	
	private Image img;
	private String speed;
	private int nr;
	

	public AutoPanel() {
	    this.setBackground(Color.WHITE);
	}
	
	public AutoPanel(String img, int xKoord, int yKoord, int width, int height) {
		this(new ImageIcon(img).getImage());
	    this.setBounds(xKoord, yKoord, width, height);
	    this.setBackground(Color.WHITE);
	    this.setFont(new Font("Dialog", Font.BOLD, 13));
	    this.speed = "";
	}

	public AutoPanel(Image img) {
	    this.img = img;
	}
	
	public void updateAuto(String img, int xKoord, int yKoord, int width, int height, String speed, int nr) {
	    this.img = new ImageIcon(img).getImage();
	    this.setBounds(xKoord, yKoord, width, height);
	    this.setBackground(Color.WHITE);
	    this.speed = speed;
	    this.nr = nr;
	}
	
	public int getSpeed() {
		return Integer.parseInt(this.speed);
	}
	public void paint(Graphics g){
		g.drawImage(img, 0, 0, this);
		g.setColor(Color.white);
		this.setFont(new Font("Dialog", Font.BOLD, 13));
		g.drawString(speed, 20, 22);
		g.setColor(Color.black);
		g.drawString(((char) nr)+"", 40, 10);
	}
	
	protected void processMouseEvent(MouseEvent e) {
    	if (e.getID() == MouseEvent.MOUSE_CLICKED) {
        	requestFocus();
			int sp = Integer.parseInt(speed);
			if(Integer.parseInt(speed)<5) {
				sp++;
			} else {
				sp = -1;
			}
			this.speed = sp+"";
			this.repaint();
			super.processMouseEvent(e);
		}
      	
   	}
   	

}
