import java.awt.*;
import java.awt.event.MouseEvent;

import javax.swing.*;

class SimulationPanel extends JPanel {
	
	private static final long serialVersionUID = -4138863096814705218L;
		
	private Auto[] arrayEinspurig = new Auto[20];
	private Auto[][] simulationArray2 = new Auto[20][2];
	int simulation;
	
	
	
	
	public SimulationPanel() {
		this.setBackground(Color.WHITE);		
		for(int i=0; i<arrayEinspurig.length; i++) {
			arrayEinspurig[i] = null;
			for(int j=0; j<simulationArray2[0].length; j++) {
				simulationArray2[i][j] = null; 
			}
        }
	}
	
	public void setSimulation(int simulation) {
		this.simulation = simulation;
	}
	
	public void setArrayEinspurig(Auto[] array) {
		arrayEinspurig = array;
	}
	public void setArrayZweispurig(Auto[][] array) {
		simulationArray2 = array;
	}
	
	public Auto[] getArrayEinspurig() {
		return arrayEinspurig;
	}
	
	public Auto[][] getArrayZweispurig() {
		return simulationArray2;
	}
	
	public void paint(Graphics g){
		g.setColor(Color.black);
		for(int i=0; i<=25; i++){
			g.drawLine(2+i*60,2,2+i*60,82);
		}
		for(int j=0; j<=2; j++){
			g.drawLine(2,2+j*40,1202,2+j*40);
		}
		g.setColor(Color.white);
		for(int j=0; j<=28; j++){
			g.fillRect(15+j*41, 41, 25, 2);
			
		}
	}
	
	protected void processMouseEvent(MouseEvent e) {
		super.processMouseEvent(e);
	}
}
